Bug 457434 - RHEL 4.5 manual typo in lvextend of a striped volume
RHEL 4.5 manual typo in lvextend of a striped volume
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: Documentation (Show other bugs)
4.5
All Linux
low Severity low
: rc
: ---
Assigned To: Steven J. Levine
Content Services Development
: Documentation
Depends On: 349911
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 13:15 EDT by Steven J. Levine
Modified: 2008-08-13 16:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 16:49:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven J. Levine 2008-07-31 13:15:34 EDT
+++ This bug was initially created as a clone of Bug #349911 +++

In the RHEL5 cluster LVM manual, on page 45 of the PDF version, when explaining
how to extend a striped LV when not enough space exists to extend using the same
stripe setup, it mentions to use -iL.  From what I can find, this is invalid -
you would instead use -i1. 

<context follows>
volume, but you can override those parameters. The following example extends the
existing
striped logical volume to use the remaining free space after the initial
lvextend command fails.
# lvextend vg/stripe1 -L 406G
   Using stripesize of last segment 64.00 KB
   Extending logical volume stripe1 to 406.00 GB
   Insufficient suitable allocatable extents for logical volume stripe1: 34480
more required
# lvextend -iL -l+100%FREE vg/stripe1

-- Additional comment from nstraz@redhat.com on 2007-12-13 12:45 EST --
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

-- Additional comment from slevine@redhat.com on 2008-07-31 12:36 EST --
I have fixed the lvextend example so that it specifies the actual number 1
(indicating that the volume should be extended on to one stripe, which is
pragmatically not really a stripe...) instead of the typo-ed letter L. Good catch.

I have requested that the updated version of the document be pushed out to the
docs web page, with RT 26340.
Comment 1 Steven J. Levine 2008-08-13 16:49:17 EDT
The RHEL 4.5 version of the LVM manual has been updated on the docs web page to a corrected version.

Note You need to log in before you can comment on or make changes to this bug.